Create new xmlwriter using memory for string output

- « XMLWriter::fullEndElement

- XMLWriter::openUri »

- PHP Manual
- XMLWriter
- Create new xmlwriter using memory for string output

# XMLWriter::openMemory

# xmlwriter_open_memory

(PHP 5 >= 5.1.2, PHP 7, PHP 8, PECL xmlwriter >= 0.1.0)

XMLWriter::openMemory -- xmlwriter_open_memory — Create new xmlwriter using memory for string output

### Description

Object-oriented style

public XMLWriter::openMemory(): bool

Procedural style

xmlwriter_open_memory(): XMLWriter|false

Creates a new XMLWriter using memory for string output.

### Parameters

### Return Values

Object-oriented style: Returns `true` on success or `false` on failure.

Procedural style: Returns a new XMLWriter for later use with the xmlwriter functions on success, or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | This function returns now an XMLWriter instance on success. Previouly, a resource has been returned in this case.

### See Also

- XMLWriter::openUri() - Create new xmlwriter using source uri for output